import React, { Component } from 'react';
import { View, Platform, StatusBar } from 'react-native';
import PropTypes from 'prop-types';
import { getStatusBarHeight } from 'react-native-status-bar-height';

export default class _StatusBar extends Component {
  static propTypes = {
    type: PropTypes.oneOf([
      'default',
      'light-content',
      'dark-content'
    ]),
    backgroundColor: PropTypes.string
  };

  static defaultProps = {
    type: 'dark-content',
    backgroundColor: '#ffffff'
  };

  render() {
    return (
      <View style={{ backgroundColor: this.props.backgroundColor, height: Platform.OS == 'android' ? StatusBar.currentHeight : getStatusBarHeight() }}>
        <StatusBar barStyle={this.props.type} backgroundColor="transparent" translucent />
      </View>
    );
  }
}
